### Method

# Shumate SimpleMap set_map_source

#### Declaration [src]

    void
    shumate_simple_map_set_map_source (
      ShumateSimpleMap* self,
      ShumateMapSource* map_source
    )

#### Description [src]

Sets the source for the base map.

Sets property | `Shumate.SimpleMap:map-source`

#### Parameters

`map_source`

  Type: `ShumateMapSource`

  A `ShumateMapSource`

  The argument can be `NULL`.
  The data is owned by the caller of the method.